complexType "PrincipalExchangeFeatures"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 2 elements
Defined: | globally in fpml-eq-shared-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | principalExchanges?, principalExchangeDescriptions+
</...>

Content Model Elements (2):

  principalExchangeDescriptions, | principalExchanges (in principalExchangeFeatures)

All Direct / Indirect Based Elements (1):

  principalExchangeFeatures

Known Usage Locations

- As direct type of elements (1):
  principalExchangeFeatures

Annotation
A type describing the principal exchange features of the return swap.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="PrincipalExchangeFeatures"> <xsd:sequence> <xsd:element minOccurs="0" name="principalExchanges" type="PrincipalExchanges"/> <xsd:element maxOccurs="unbounded" name="principalExchangeDescriptions" type="PrincipalExchangeDescriptions"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
principalExchangeDescriptions

  Type: | PrincipalExchangeDescriptions, complex content

  Specifies each of the characteristics of the principal exchange cashflows, in terms of paying/receiving counterparties, amounts and dates.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="principalExchangeDescriptions" type="PrincipalExchangeDescriptions"/>

principalExchanges

  Type: | PrincipalExchanges, complex content

  The true/false flags indicating whether initial, intermediate or final exchanges of principal should occur.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="principalExchanges" type="PrincipalExchanges"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.